Signed-Off-By: Patrick Georgi <patrick@georgi-clan.de>

Index: src/include/boot/coreboot_tables.h
===================================================================
--- src/include/boot/coreboot_tables.h	(revision 3393)
+++ src/include/boot/coreboot_tables.h	(working copy)
@@ -145,6 +145,7 @@
 	uint32_t tag;
 	uint32_t size;
 	uint16_t ioport;
+	uint32_t baud;
 };
 
 #define LB_TAG_CONSOLE		0x0010
Index: src/arch/i386/boot/coreboot_table.c
===================================================================
--- src/arch/i386/boot/coreboot_table.c	(revision 3393)
+++ src/arch/i386/boot/coreboot_table.c	(working copy)
@@ -84,6 +84,7 @@
 	serial->tag = LB_TAG_SERIAL;
 	serial->size = sizeof(*serial);
 	serial->ioport = TTYS0_BASE;
+	serial->baud = TTYS0_BAUD;
 	return serial;
 #else
 	return header;
